QGIS Application - Bug report #5576
Paths with accented characters give error when opening files
2012-05-11 10:11 AM - Pierre-Luc Auclair

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: WinXP Easy fix?: No

Pull Request or Patch supplied: Resolution: up-/downstream
Crashes QGIS or corrupls data: Copied to github as #: 15156
Description

If you try to open a file and its path contains accented characters, the file will not load, giving error : ".../is not a valid or recognized data
source".

From osgeo4w setup.

History

#1 - 2012-05-11 10:24 AM - Pierre-Luc Auclair

Note, this doesn't seem to happen on every type of file formats.

Xls files do not work, while .shp do.

#2 - 2012-05-12 01:32 AM - Giovanni Manghi
- Status changed from Open to Feedback

Itis a blocker only if it is a regression (in ggis-master aka 1.8 aka Lisboa) since 1.7.4, con you confirm is a regression?

#3 - 2012-05-12 01:36 PM - Pierre-Luc Auclair

| can't confirm it's a regression.

#4 - 2012-05-12 01:49 PM - Giovanni Manghi
- Priority changed from Severe/Regression to Normal

Pierre-Luc Auclair wrote:

I can't confirm it's a regression.

ok, I'll change the priority, change it again if you have evidence it is a regression. Cheers!

#5 - 2012-06-16 02:36 AM - Jiirgen Fischer
- Status changed from Feedback to Open

#6 - 2012-06-19 11:35 AM - Pierre-Luc Auclair

| just tried with latest builds, it's still broken for .xls files. It seems to be the only problematic filetype. It's not in the supported formats when you import a

layer nor does it show up in the browser window, is it possible that QGIS doesn't know how to handle the paths for this new filetype yet ?

#7 - 2012-07-11 11:57 AM - Pierre-Luc Auclair

Still broken, what's the status on this ?

#8 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2013-07-04 11:00 PM - Minoru Akagi

This issue has already been fixed in GDAL. With GDAL 1.10, we will be able to open xls files that include non-ascii characters in the paths on Windows.

#10 - 2013-07-05 12:14 AM - Giovanni Manghi

- Resolution set to up-/downstream
- Status changed from Open to Closed

2024-04-25 22



